#pragma once

#include "CoreMinimal.h"
#include "Subsystems/EngineSubsystem.h"
#include "AccessKey.h"
#include "AccessKeys.generated.h"

UCLASS(Blueprintable)
class ACCESSKEYS_API UAccessKeys : public UEngineSubsystem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FAccessKey> AccessKeys;

public:
	UAccessKeys();
};

FORCEINLINE uint32 GetTypeHash(const UAccessKeys) { return 0; }
